<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.data.mapper.XcrXinyonghuaihuaBaseInfoMapper">

    <resultMap id="BaseResultMap" type="com.zksy.data.domain.po.XcrXinyonghuaihuaBaseInfo">
            <id property="id" column="id" jdbcType="INTEGER"/>
            <result property="entityName" column="entity_name" jdbcType="VARCHAR"/>
            <result property="fddbrzjhm" column="fddbrzjhm" jdbcType="VARCHAR"/>
            <result property="xzqzly" column="xzqzly" jdbcType="VARCHAR"/>
            <result property="xzqzzxsj" column="xzqzzxsj" jdbcType="TIMESTAMP"/>
            <result property="xzqzyj" column="xzqzyj" jdbcType="VARCHAR"/>
            <result property="sxmc" column="sxmc" jdbcType="VARCHAR"/>
            <result property="fddbrzjlx" column="fddbrzjlx" jdbcType="VARCHAR"/>
            <result property="sjlydwmc" column="sjlydwmc" jdbcType="VARCHAR"/>
            <result property="updateTime" column="update_time" jdbcType="TIMESTAMP"/>
            <result property="updateUser" column="update_user" jdbcType="VARCHAR"/>
            <result property="entityCode" column="entity_code" jdbcType="VARCHAR"/>
            <result property="xzqzjdwsmc" column="xzqzjdwsmc" jdbcType="VARCHAR"/>
            <result property="ssqzcsjssj" column="ssqzcsjssj" jdbcType="DATE"/>
            <result property="bz" column="bz" jdbcType="VARCHAR"/>
            <result property="isDel" column="is_del" jdbcType="TINYINT"/>
            <result property="xzqzcslx" column="xzqzcslx" jdbcType="VARCHAR"/>
            <result property="xzqzjg" column="xzqzjg" jdbcType="VARCHAR"/>
            <result property="xzqznr" column="xzqznr" jdbcType="VARCHAR"/>
            <result property="xzxdrlb" column="xzxdrlb" jdbcType="VARCHAR"/>
            <result property="sjlydwdm" column="sjlydwdm" jdbcType="VARCHAR"/>
            <result property="ssqzcsqssj" column="ssqzcsqssj" jdbcType="DATE"/>
            <result property="depId" column="dep_id" jdbcType="INTEGER"/>
            <result property="batchNo" column="batch_no" jdbcType="BIGINT"/>
            <result property="fddbrxm" column="fddbrxm" jdbcType="VARCHAR"/>
            <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
            <result property="xzqzjdrq" column="xzqzjdrq" jdbcType="DATE"/>
            <result property="metaId" column="meta_id" jdbcType="INTEGER"/>
            <result property="reportState" column="report_state" jdbcType="VARCHAR"/>
            <result property="inventoryId" column="inventory_id" jdbcType="INTEGER"/>
            <result property="inventorySourceId" column="inventory_source_id" jdbcType="INTEGER"/>
            <result property="xzjgdm" column="xzjgdm" jdbcType="VARCHAR"/>
            <result property="xzqzzl" column="xzqzzl" jdbcType="VARCHAR"/>
            <result property="dataCode" column="data_code" jdbcType="VARCHAR"/>
            <result property="xzqzjdwsh" column="xzqzjdwsh" jdbcType="VARCHAR"/>
            <result property="entityType" column="entity_type" jdbcType="VARCHAR"/>
            <result property="entityCodeAdd" column="entity_code_add" jdbcType="VARCHAR"/>
            <result property="orgId" column="org_id" jdbcType="INTEGER"/>
            <result property="xzjgmc" column="xzjgmc" jdbcType="VARCHAR"/>
            <result property="createUser" column="create_user" jdbcType="VARCHAR"/>
            <result property="xzqzzxlx" column="xzqzzxlx" jdbcType="VARCHAR"/>
            <result property="status" column="status" jdbcType="VARCHAR"/>
            <result property="xzqzzxfs" column="xzqzzxfs" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,entity_name,fddbrzjhm,
        xzqzly,xzqzzxsj,xzqzyj,
        sxmc,fddbrzjlx,sjlydwmc,
        update_time,update_user,entity_code,
        xzqzjdwsmc,ssqzcsjssj,bz,
        is_del,xzqzcslx,xzqzjg,
        xzqznr,xzxdrlb,sjlydwdm,
        ssqzcsqssj,dep_id,batch_no,
        fddbrxm,create_time,xzqzjdrq,
        meta_id,report_state,inventory_id,
        inventory_source_id,xzjgdm,xzqzzl,
        data_code,xzqzjdwsh,entity_type,
        entity_code_add,org_id,xzjgmc,
        create_user,xzqzzxlx,status,
        xzqzzxfs
    </sql>
</mapper>
